[arch-commits] Commit in gettext/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Mon Nov 3 20:00:27 UTC 2014


    Date: Monday, November 3, 2014 @ 21:00:27
  Author: tpowa
Revision: 225587

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gettext/repos/testing-i686/
  gettext/repos/testing-i686/PKGBUILD
    (from rev 225586, gettext/trunk/PKGBUILD)
  gettext/repos/testing-i686/gettext.install
    (from rev 225586, gettext/trunk/gettext.install)
  gettext/repos/testing-x86_64/
  gettext/repos/testing-x86_64/PKGBUILD
    (from rev 225586, gettext/trunk/PKGBUILD)
  gettext/repos/testing-x86_64/gettext.install
    (from rev 225586, gettext/trunk/gettext.install)

--------------------------------+
 testing-i686/PKGBUILD          |   34 ++++++++++++++++++++++++++++++++++
 testing-i686/gettext.install   |   22 ++++++++++++++++++++++
 testing-x86_64/PKGBUILD        |   34 ++++++++++++++++++++++++++++++++++
 testing-x86_64/gettext.install |   22 ++++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: gettext/repos/testing-i686/PKGBUILD (from rev 225586, gettext/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-11-03 20:00:27 UTC (rev 225587)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer:
+
+pkgname=gettext
+pkgver=0.19.3
+pkgrel=1
+pkgdesc="GNU internationalization library"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gettext/"
+license=('GPL')
+groups=('base' 'base-devel')
+depends=('gcc-libs' 'acl' 'sh' 'glib2' 'libunistring')
+optdepends=('git: for autopoint infrastructure updates')
+options=(!docs)
+install=gettext.install
+source=(ftp://ftp.gnu.org/pub/gnu/gettext/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('c365029ffc866fc4e485d9e5ca60b260'
+         'SKIP')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make -j1 -k check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gettext/repos/testing-i686/gettext.install (from rev 225586, gettext/trunk/gettext.install)
===================================================================
--- testing-i686/gettext.install	                        (rev 0)
+++ testing-i686/gettext.install	2014-11-03 20:00:27 UTC (rev 225587)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(gettext.info.gz autosprintf.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gettext/repos/testing-x86_64/PKGBUILD (from rev 225586, gettext/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-11-03 20:00:27 UTC (rev 225587)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer:
+
+pkgname=gettext
+pkgver=0.19.3
+pkgrel=1
+pkgdesc="GNU internationalization library"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gettext/"
+license=('GPL')
+groups=('base' 'base-devel')
+depends=('gcc-libs' 'acl' 'sh' 'glib2' 'libunistring')
+optdepends=('git: for autopoint infrastructure updates')
+options=(!docs)
+install=gettext.install
+source=(ftp://ftp.gnu.org/pub/gnu/gettext/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('c365029ffc866fc4e485d9e5ca60b260'
+         'SKIP')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make -j1 -k check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gettext/repos/testing-x86_64/gettext.install (from rev 225586, gettext/trunk/gettext.install)
===================================================================
--- testing-x86_64/gettext.install	                        (rev 0)
+++ testing-x86_64/gettext.install	2014-11-03 20:00:27 UTC (rev 225587)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(gettext.info.gz autosprintf.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list